datacache <- new.env(hash=TRUE, parent=emptyenv())

hthgu133bhsrefseq <- function() showQCData("hthgu133bhsrefseq", datacache)
hthgu133bhsrefseq_dbconn <- function() dbconn(datacache)
hthgu133bhsrefseq_dbfile <- function() dbfile(datacache)
hthgu133bhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hthgu133bhsrefseq_dbInfo <- function() dbInfo(datacache)

hthgu133bhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hthgu133bhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hthgu133bhsrefseq", "chip hthgu133bhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("hthgu133bhsrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hthgu133bhsrefseq_dbconn())
}

